
#ifndef _DCCTOPLEVEL_H_
#define _DCCTOPLEVEL_H_

#include <tdemainwindow.h>

class dccManager;


class dccTopLevel : public TDEMainWindow
{
Q_OBJECT
  
public:

    dccTopLevel(TQWidget *parent = 0, const char *name = 0);
    virtual ~dccTopLevel();

    dccManager *mgr() { return m_mgr; }

signals:
    void changeChannel(const TQString&,const TQString&);
    void changed(bool, TQString);


public slots:
    void close(void);

private:
    dccManager *m_mgr;
};

#endif

